Last Comment Bug 751602 - compile fixes for drawing models (add ifdefs)
: compile fixes for drawing models (add ifdefs)
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla15
Assigned To: Josh Aas
:
Mentors:
Depends on:
Blocks: 751598
  Show dependency treegraph
 
Reported: 2012-05-03 09:50 PDT by Josh Aas
Modified: 2012-05-17 07:54 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
fixed


Attachments
fix v1.0 (1.07 KB, patch)
2012-05-03 09:50 PDT, Josh Aas
no flags Details | Diff | Splinter Review
fix v1.1 (1.36 KB, patch)
2012-05-03 10:24 PDT, Josh Aas
no flags Details | Diff | Splinter Review
fix v1.2 (7.88 KB, patch)
2012-05-03 10:58 PDT, Josh Aas
bas: review+
Details | Diff | Splinter Review
fix v1.2 (real patch) (1.47 KB, patch)
2012-05-03 11:20 PDT, Josh Aas
no flags Details | Diff | Splinter Review
fix v1.3 (2.36 KB, patch)
2012-05-03 22:05 PDT, Josh Aas
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
fix v1.4 for Aurora (3.06 KB, patch)
2012-05-13 22:37 PDT, Josh Aas
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Josh Aas 2012-05-03 09:50:34 PDT
Created attachment 620739 [details] [diff] [review]
fix v1.0
Comment 1 Josh Aas 2012-05-03 10:24:17 PDT
Created attachment 620760 [details] [diff] [review]
fix v1.1
Comment 2 Josh Aas 2012-05-03 10:47:59 PDT
Comment on attachment 620760 [details] [diff] [review]
fix v1.1

Made another mistake, I need to stop rushing this!
Comment 3 Josh Aas 2012-05-03 10:58:29 PDT
Created attachment 620777 [details] [diff] [review]
fix v1.2
Comment 4 Josh Aas 2012-05-03 11:20:37 PDT
Created attachment 620791 [details] [diff] [review]
fix v1.2 (real patch)

That time I got the patch right but included a bunch of other changes! Here's the patch without those.
Comment 5 Josh Aas 2012-05-03 11:22:49 PDT
try server run:

https://tbpl.mozilla.org/?tree=Try&rev=25932b8b16a3
Comment 6 Josh Aas 2012-05-03 17:24:14 PDT
Try server run with a compile fix in the other patch:

https://tbpl.mozilla.org/?tree=Try&rev=80237bebdaf7
Comment 7 Josh Aas 2012-05-03 22:05:01 PDT
Created attachment 620963 [details] [diff] [review]
fix v1.3

Added another compile fix.
Comment 8 Josh Aas 2012-05-03 22:08:26 PDT
Updated try run:

https://tbpl.mozilla.org/?tree=Try&rev=74493bf39656
Comment 9 Josh Aas 2012-05-04 05:53:04 PDT
Updated try run with compile fix for NPAPI headers:

https://tbpl.mozilla.org/?tree=Try&rev=6fe378eec17b
Comment 10 Josh Aas 2012-05-04 19:41:14 PDT
pushed to mozilla-inbound

https://hg.mozilla.org/integration/mozilla-inbound/rev/92f6c58e90c5
Comment 11 Ryan VanderMeulen [:RyanVM] 2012-05-05 20:22:35 PDT
https://hg.mozilla.org/mozilla-central/rev/92f6c58e90c5
Comment 12 Josh Aas 2012-05-07 08:04:05 PDT
Comment on attachment 620963 [details] [diff] [review]
fix v1.3

[Approval Request Comment]
Regression caused by (bug #): 651192
User impact if declined: Binary compatibility risk for plugins.
Testing completed (on m-c, etc.): already on m-c
Risk to taking this patch (and alternatives if risky): This is a required patch for bug 751598, the real fix. Plugins may be released with binary compatibility problems if they reference unpatched NPAPI headers, regardless of whether the feature is turned on in this particular build or not.
String changes made by this patch: none
Comment 13 Alex Keybl [:akeybl] 2012-05-09 16:10:42 PDT
We'd like to nail down the plan for both FF13 and FF14 before approving. See https://bugzilla.mozilla.org/show_bug.cgi?id=751598#c13
Comment 14 Josh Aas 2012-05-12 14:26:02 PDT
pushed to mozilla-aurora

https://hg.mozilla.org/releases/mozilla-aurora/rev/c19c13e83f94
Comment 15 Matt Brubeck (:mbrubeck) 2012-05-12 19:01:05 PDT
Backed out on Aurora because of build errors on Windows:
https://hg.mozilla.org/releases/mozilla-aurora/rev/91b4b9f38e40
Comment 16 Josh Aas 2012-05-13 22:37:24 PDT
Created attachment 623588 [details] [diff] [review]
fix v1.4 for Aurora
Comment 17 Josh Aas 2012-05-13 22:58:05 PDT
I don't have a Windows build environment handy and I don't see a way to do try server builds with Aurora. Fix is pretty straight-forward though, so trying again. Will back out myself if it doesn't work.
Comment 18 Josh Aas 2012-05-13 23:00:12 PDT
pushed to mozilla-aurora again

http://hg.mozilla.org/releases/mozilla-aurora/rev/35f963416ff0
Comment 19 Alex Keybl [:akeybl] 2012-05-16 11:34:38 PDT
Comment on attachment 623588 [details] [diff] [review]
fix v1.4 for Aurora

This has had some bake time now - approved for beta 13.
Comment 20 Josh Aas 2012-05-17 07:54:00 PDT
pushed to mozilla-beta

https://hg.mozilla.org/releases/mozilla-beta/rev/66f87d8a5eab

Note You need to log in before you can comment on or make changes to this bug.